package com.gxzc.zen.orm.data.authority

import org.slf4j.LoggerFactory

/**
 * 数据权限辅助类（适用于全局）
 * @author NorthLan
 * @date 2018/7/16
 * @url https://noahlan.com
 */
object DAHelper {
    private val log = LoggerFactory.getLogger(DAHelper::class.java)

    /**
     * 数据权限 线程局部变量
     */
    private val LOCAL_DA = ThreadLocal<DataAuthority>()

    fun getDA(): DataAuthority? {
        return LOCAL_DA.get()
    }

    fun startDA(dataAuthority: DataAuthority) {
        LOCAL_DA.set(dataAuthority)
    }

    fun remove() {
        LOCAL_DA.remove()
    }
}